#ifdef DEBUG
#include "debug.h" 
#else
#include "optim.h" 
#endif
void plc(void)
{
   plc_loop=0;
   first_cycle=1;
   is_running=0;
   while(1)
   {
#include "plc.c" 
      main_plc();
      plc_loop++;
      first_cycle=0;
      is_running=1;
   };
}
void start_plc(void)
{
   exec_task(plc,0,0);
}
void stop_plc(void)
{
   remove_task(plc);
}
